List Shipments

Required permission: read_shipments

Get a list of shipments for your organization or client.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum

Specifies the field by which to sort the returned shipments:

  • created_at: Sort by the creation date of the shipment.
  • shipment_cost: Sort by the cost of the shipment. This is only available for organization API keys.
Allowed:
date-time

The start date-time for filtering shipments created after this date.

date-time

The end date-time for filtering shipments created before this date.

date-time

The start date-time for filtering shipments voided after this date.

date-time

The end date-time for filtering shipments voided before this date.

integer
1 to 100
Defaults to 25

The maximum number of items to return in the response. Used for pagination. Must be between 1 and 100.

string

A cursor for pagination. Use the next_cursor value from a previous response to fetch the next page of results. This provides more efficient pagination than offset-based pagination, especially for large datasets. Cannot be used together with the offset parameter.

string
enum
Defaults to asc

Specifies the sort direction of the returned items:

  • asc: Ascending order. For dates, this means from oldest to newest. For numbers, this means from smallest to largest.
  • desc: Descending order. For dates, this means from newest to oldest. For numbers, this means from largest to smallest.
Allowed:
string

A value to search for within the items. The specific fields searched depend on the endpoint.

integer
≥ 1

Only applicable for organizations. Filters items by the specified client_id, provided the client_id belongs to the organization. Note: API keys can belong to either client level or organization level.

integer

Filter shipments by order ID. Returns all shipments associated with the specified order.

string

A comma-separated list of shipment IDs to filter by. Maximum of 100 IDs.
Example: 123,456,789

date-time

Filters items by the specified updated_at start date.

date-time

Filters items by the specified updated_at end date.

date-time

The start date-time for filtering shipments whose latest tracking event occurred after this date.

date-time

The end date-time for filtering shipments whose latest tracking event occurred before this date.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json